%define upstream_name    Plack-Middleware-ReverseProxy
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Supports app to run as a reverse proxy backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Plack) >= 0.998.800
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
Plack::Middleware::ReverseProxy resets some HTTP headers, which changed by
reverse-proxy. You can specify the reverse proxy address and stop fake
requests using 'enable_if' directive in your app.psgi.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-7.mga6
+ Revision: 1032180
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.150.0-6.mga6
+ Revision: 939944
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 747016
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.150.0-4.mga5
+ Revision: 733262
- add exclude

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 527250
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 439760
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 371866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 268027
- update to 0.14

* Thu Oct 13 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 154445
- update to 0.11
- update to 0.10
- imported package perl-Plack-Middleware-ReverseProxy


* Sat Aug 20 2011 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
